library universally;

export 'package:carousel_slider/carousel_slider.dart';
export 'package:extended_image/extended_image.dart' hide MultipartFile;
export 'package:flutter_curiosity/flutter_curiosity.dart';
export 'package:flutter_svg/flutter_svg.dart';
export 'package:flutter_waya/flutter_waya.dart';
export 'package:fl_dio/fl_dio.dart';
export 'package:hive_flutter/hive_flutter.dart';
export 'package:hive/hive.dart';
export 'package:json_annotation/json_annotation.dart';
export 'package:keframe/keframe.dart';
export 'package:permission_handler/permission_handler.dart';
export 'package:provider/provider.dart';
export 'package:flutter_localizations/flutter_localizations.dart';
export 'package:path_provider/path_provider.dart';
export 'package:url_launcher/url_launcher.dart';
export 'package:connectivity_plus/connectivity_plus.dart';
export 'package:package_info_plus/package_info_plus.dart';
export 'package:android_intent_plus/android_intent.dart';
export 'package:flutter_spinkit/flutter_spinkit.dart';
export 'package:window_manager/window_manager.dart';

/// component
export 'component/component.dart';
export 'component/gif.dart';
export 'component/list.dart';
export 'component/picker.dart';
export 'component/popup.dart';
export 'component/scaffold.dart';
export 'component/text.dart';
export 'component/text_field.dart';
export 'component/tab_bar.dart';
export 'component/user_privacy.dart';
export 'component/switch_api.dart';
export 'component/cache.dart';
export 'component/base_app.dart';

/// dependencies
export 'dependencies/dio.dart';
export 'dependencies/hive.dart';
export 'dependencies/svg.dart';
export 'dependencies/carousel_slider.dart';
export 'dependencies/extended_image.dart';
export 'dependencies/spin_kit.dart';

/// dependencies/plugin
export 'dependencies/plugin/permission_handler.dart';
export 'dependencies/plugin/url_launcher.dart';
export 'dependencies/plugin/connectivity.dart';
export 'dependencies/plugin/path_provider.dart';
export 'dependencies/plugin/package_info.dart';
export 'dependencies/plugin/android_intent.dart';
export 'dependencies/plugin/device_info.dart';

/// global
export 'global.dart';

/// const
export 'const/const.dart';
export 'const/desktop.dart';
export 'const/ios_macos_setting.dart';
